{
	"artifacts" : 
	[
		{
			"path" : "Debug/plugins/PluginCustomizer.dll"
		},
		{
			"path" : "Debug/plugins/PluginCustomizer.lib"
		},
		{
			"path" : "Debug/plugins/PluginCustomizer.pdb"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_library",
			"install",
			"target_link_libraries",
			"add_dependencies",
			"add_compile_options",
			"target_compile_definitions",
			"add_definitions",
			"include_directories"
		],
		"files" : 
		[
			"src/PluginCustomizer/CMakeLists.txt",
			"src/CMakeLists.txt",
			"src/PythonModule/CMakeLists.txt",
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 29,
				"parent" : 0
			},
			{
				"file" : 1
			},
			{
				"command" : 1,
				"file" : 1,
				"line" : 78,
				"parent" : 2
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 50,
				"parent" : 0
			},
			{
				"file" : 2
			},
			{
				"command" : 2,
				"file" : 2,
				"line" : 44,
				"parent" : 5
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 58,
				"parent" : 0
			},
			{
				"file" : 3
			},
			{
				"command" : 4,
				"file" : 3,
				"line" : 85,
				"parent" : 8
			},
			{
				"command" : 4,
				"file" : 3,
				"line" : 86,
				"parent" : 8
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 39,
				"parent" : 0
			},
			{
				"command" : 6,
				"file" : 3,
				"line" : 118,
				"parent" : 8
			},
			{
				"command" : 6,
				"file" : 3,
				"line" : 83,
				"parent" : 8
			},
			{
				"command" : 7,
				"file" : 0,
				"line" : 4,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-DQT_QML_DEBUG /Zi /Ob0 /Od /RTC1 -MDd"
				},
				{
					"backtrace" : 9,
					"fragment" : "/utf-8"
				},
				{
					"backtrace" : 10,
					"fragment" : "/MDd"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 11,
					"define" : "CUSTOMIZERPLUGIN_API"
				},
				{
					"backtrace" : 12,
					"define" : "OUTPUT_DEBUG_INFO"
				},
				{
					"define" : "PluginCustomizer_EXPORTS"
				},
				{
					"backtrace" : 4,
					"define" : "QT_CORE_LIB"
				},
				{
					"backtrace" : 4,
					"define" : "QT_GUI_LIB"
				},
				{
					"backtrace" : 4,
					"define" : "QT_WIDGETS_LIB"
				},
				{
					"backtrace" : 4,
					"define" : "QT_XML_LIB"
				},
				{
					"backtrace" : 13,
					"define" : "UNICODE"
				},
				{
					"backtrace" : 13,
					"define" : "_UNICODE"
				}
			],
			"includes" : 
			[
				{
					"path" : "D:/WBFZCPP/source/FastCAE/out/build/src/PluginCustomizer"
				},
				{
					"path" : "D:/WBFZCPP/source/FastCAE/src/PluginCustomizer"
				},
				{
					"backtrace" : 0,
					"path" : "D:/WBFZCPP/source/FastCAE/out/build/src/PluginCustomizer/PluginCustomizer_autogen/include"
				},
				{
					"backtrace" : 14,
					"path" : "D:/WBFZCPP/source/FastCAE/src/PluginCustomizer/.."
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include/QtCore"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/./mkspecs/win32-msvc"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include/QtGui"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include/QtANGLE"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include/QtWidgets"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include/QtXml"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "D:/WBFZCPP/source/FastCAE/extlib/Python/include"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					4
				],
				"standard" : "11"
			},
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				88,
				89,
				90,
				91,
				92,
				93,
				94,
				95,
				96,
				97,
				98,
				99,
				100,
				101,
				102,
				103,
				104,
				105,
				106,
				107,
				108,
				109,
				110,
				111,
				112,
				113,
				114,
				115,
				116,
				117,
				118,
				119,
				120,
				121,
				122,
				123,
				124,
				125,
				126,
				127,
				128,
				129,
				130,
				131,
				132,
				133,
				134,
				135,
				136,
				137,
				138,
				139,
				140,
				141,
				142,
				143
			]
		}
	],
	"dependencies" : 
	[
		{
			"backtrace" : 4,
			"id" : "Common::@29aabc9fbfb9b5406d55"
		},
		{
			"backtrace" : 7,
			"id" : "PythonModule::@c600c49a22fbbbfcb8ff"
		},
		{
			"backtrace" : 7,
			"id" : "SARibbonBar::@f61b241723ced025d0ef"
		},
		{
			"backtrace" : 7,
			"id" : "Settings::@733e6871ef4a824e534d"
		},
		{
			"backtrace" : 7,
			"id" : "DataProperty::@ec84555ffa827036bc26"
		},
		{
			"backtrace" : 7,
			"id" : "MeshData::@2f0f676dafab302b2d20"
		},
		{
			"backtrace" : 7,
			"id" : "SelfDefObject::@17d93127ede5f3b478ed"
		},
		{
			"backtrace" : 7,
			"id" : "Material::@05d68cd248c3246409d7"
		},
		{
			"backtrace" : 7,
			"id" : "ConfigOptions::@1c9d458e4038aca43955"
		},
		{
			"backtrace" : 7,
			"id" : "BCBase::@baf13bdd6bef809f2182"
		},
		{
			"backtrace" : 7,
			"id" : "Geometry::@b7b2e4191bc961e9afba"
		},
		{
			"backtrace" : 7,
			"id" : "ModelData::@8a6b2d9535e8b6cb6800"
		},
		{
			"backtrace" : 7,
			"id" : "ModuleBase::@53e1b14bc3636b2ea9de"
		},
		{
			"backtrace" : 7,
			"id" : "PostWidgets::@93a5592897f957e6fa57"
		},
		{
			"backtrace" : 7,
			"id" : "ProjectTreeExtend::@f2791e4784919f40d89d"
		},
		{
			"backtrace" : 7,
			"id" : "GeometryCommand::@d82e5b79e04a3b196df4"
		},
		{
			"backtrace" : 7,
			"id" : "ProjectTree::@43c6c7ebae2b88a99cdb"
		},
		{
			"backtrace" : 7,
			"id" : "SolverControl::@4a18b637ce8bf6991ec0"
		},
		{
			"backtrace" : 7,
			"id" : "MainWidgets::@d0895ea365458bd7f948"
		},
		{
			"backtrace" : 7,
			"id" : "IO::@484b42e69e32e953bc79"
		},
		{
			"backtrace" : 7,
			"id" : "MainWindow::@c380e645ecc921453605"
		},
		{
			"backtrace" : 7,
			"id" : "PluginManager::@d6a357cdda12b0c888b1"
		},
		{
			"backtrace" : 7,
			"id" : "GeometryWidgets::@1fb7ae1802a587d65603"
		},
		{
			"id" : "PluginCustomizer_autogen_timestamp_deps::@5fa4d6e31c64d49d269b"
		},
		{
			"backtrace" : 0,
			"id" : "PluginCustomizer_autogen::@5fa4d6e31c64d49d269b"
		}
	],
	"folder" : 
	{
		"name" : "Plugins"
	},
	"id" : "PluginCustomizer::@5fa4d6e31c64d49d269b",
	"install" : 
	{
		"destinations" : 
		[
			{
				"backtrace" : 3,
				"path" : "bin/plugins"
			}
		],
		"prefix" : 
		{
			"path" : "D:/WBFZCPP/source/FastCAE/install"
		}
	},
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "/machine:x64 /debug /INCREMENTAL",
				"role" : "flags"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\MainWindow.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\SARibbonBar.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\MainWidgets.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\ProjectTreeExtend.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\ProjectTree.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\SolverControl.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\PostWidgets.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\IO.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\PluginManager.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\GeometryWidgets.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\GeometryCommand.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\ModuleBase.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\ModelData.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\ConfigOptions.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\Material.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\SelfDefObject.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\BCBase.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\MeshData.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\Geometry.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\DataProperty.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\Qt\\5.15.2\\msvc2019_64\\lib\\Qt5Xmld.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\PythonModule.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 6,
				"fragment" : "D:\\WBFZCPP\\source\\FastCAE\\extlib\\Python\\libs\\python37.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 6,
				"fragment" : "Debug\\Common.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\Settings.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\Qt\\5.15.2\\msvc2019_64\\lib\\Qt5Widgetsd.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\Qt\\5.15.2\\msvc2019_64\\lib\\Qt5Guid.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\Qt\\5.15.2\\msvc2019_64\\lib\\Qt5Cored.lib",
				"role" : "libraries"
			},
			{
				"fragment" : "kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "PluginCustomizer",
	"nameOnDisk" : "PluginCustomizer.dll",
	"paths" : 
	{
		"build" : "src/PluginCustomizer",
		"source" : "src/PluginCustomizer"
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				88,
				89,
				90,
				91,
				92,
				93,
				94,
				95,
				96,
				97,
				98,
				99,
				100,
				101,
				102,
				103,
				104,
				105,
				106,
				107,
				108,
				109,
				110,
				111,
				112,
				113,
				114,
				115,
				116,
				117,
				118,
				119,
				120,
				121,
				122,
				123,
				124,
				125,
				126,
				127,
				128,
				129,
				130,
				131,
				132,
				133,
				134,
				135,
				136,
				137,
				138,
				139,
				140,
				141,
				142,
				143
			]
		},
		{
			"name" : "Header Files",
			"sourceIndexes" : 
			[
				3,
				4,
				5,
				6,
				7,
				8,
				9,
				10,
				11,
				12,
				13,
				14,
				15,
				16,
				17,
				18,
				19,
				20,
				21,
				22,
				23,
				24,
				25,
				26,
				27,
				28,
				29,
				30,
				31,
				32,
				33,
				34,
				35,
				36,
				37,
				38,
				39,
				40,
				41,
				42,
				43,
				44,
				45,
				46,
				47,
				48,
				49,
				50,
				51,
				52,
				53,
				54,
				55,
				56,
				57,
				58,
				59,
				60,
				61,
				62,
				63,
				64,
				65,
				66,
				67,
				68,
				69,
				70,
				71,
				72,
				73,
				74,
				75,
				76,
				77,
				78,
				79,
				80,
				81,
				82,
				83,
				84,
				85,
				86,
				87
			]
		},
		{
			"name" : "",
			"sourceIndexes" : 
			[
				144,
				145,
				146,
				147,
				148,
				149,
				150,
				151,
				152,
				153,
				154,
				155,
				156,
				157,
				158,
				159,
				160,
				161,
				162,
				163,
				164,
				165,
				166,
				167,
				168,
				169,
				170,
				171,
				172,
				173
			]
		},
		{
			"name" : "CMake Rules",
			"sourceIndexes" : 
			[
				174
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 0,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/PluginCustomizer_autogen/mocs_compilation.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/qrc_qianfan.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/qrc_customizer.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_Editor3DFileValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_EditorBoolValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_EditorBoundaryModel.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_EditorCurveInfo.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_EditorCurveModel.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_EditorDependencyFiles.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_EditorDescripttionSetup.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_EditorDoubleValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_EditorEnumListValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_EditorEnumValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_EditorIntValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_EditorNameValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_EditorPathValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_EditorSolverManager.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_EditorSolverValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_EditorStringValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_EditorTableValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_FunctionTreeSetup.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_Generateinstallationpackage.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_ParaBasicSetup.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_ParaExportMeshSetup.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_ParaImportGeometrySetup.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_ParaImportMeshSetup.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_ParaLinkageManager.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_ParaUserManualSetup.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_ParametersLinkage.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/ui_TreeInformation.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/BoundaryModel.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/Common.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/CreateChildModelFactory.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/CurveModel.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/CustomParameterModel.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/DataManager.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/Editor3DFileValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/EditorBoolValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/EditorBoundaryModel.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/EditorCurveInfo.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/EditorCurveModel.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/EditorDependencyFiles.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/EditorDescripttionSetup.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/EditorDoubleValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/EditorEnumListValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/EditorEnumValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/EditorIntValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/EditorNameValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/EditorPathValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/EditorSolverManager.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/EditorSolverValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/EditorStringValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/EditorTableValue.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/FileHelper.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/FunctionTreeSetup.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/Generateinstallationpackage.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/GetModelItemIconFactory.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/IOXml.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/InputValidator.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/MeshModel.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/ModelBase.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/MonitorModel.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/ParaBasicSetup.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/ParaExportMeshSetup.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/ParaImportGeometrySetup.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/ParaImportMeshSetup.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/ParaLinkageData.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/ParaLinkageManager.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/ParaManagerData.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/ParametersLinkage.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/Post2DCurveModel.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/Post3DFileModel.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/PostModel.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/QFWidgetAction.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/SimulationModel.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/SolverModel.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/TreeInformation.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/ValidatorName.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/VectorModel.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/WriteTreeConfig.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/WriterBCConfig.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/WriterBase.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/WriterDataConfig.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/WriterGlobalConfig.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/customizerActionManager.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/pluginCustomizer.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/pluginCustomizerAPI.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/PluginCustomizer/writerMaterialConfig.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/BoundaryModel.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/CreateChildModelFactory.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/CurveModel.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/CustomParameterModel.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/DataManager.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/Editor3DFileValue.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/EditorBoolValue.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/EditorBoundaryModel.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/EditorCurveInfo.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/EditorCurveModel.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/EditorDependencyFiles.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/EditorDescripttionSetup.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/EditorDoubleValue.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/EditorEnumListValue.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/EditorEnumValue.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/EditorIntValue.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/EditorNameValue.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/EditorPathValue.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/EditorSolverManager.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/EditorSolverValue.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/EditorStringValue.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/EditorTableValue.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/FileHelper.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/FunctionTreeSetup.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/Generateinstallationpackage.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/GetModelItemIconFactory.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/IOXml.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/InputValidator.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/MeshModel.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/ModelBase.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/MonitorModel.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/ParaBasicSetup.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/ParaExportMeshSetup.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/ParaImportGeometrySetup.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/ParaImportMeshSetup.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/ParaLinkageData.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/ParaLinkageManager.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/ParaManagerData.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/ParametersLinkage.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/Post2DCurveModel.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/Post3DFileModel.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/PostModel.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/QFWidgetAction.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/SimulationModel.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/SolverModel.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/TreeInformation.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/ValidatorName.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/VectorModel.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/WriteTreeConfig.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/WriterBCConfig.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/WriterBase.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/WriterDataConfig.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/WriterGlobalConfig.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/customizerActionManager.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/pluginCustomizer.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/PluginCustomizer/writerMaterialConfig.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/PluginCustomizer_autogen/timestamp",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/qrc/qianfan.qrc",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/resource/customizer.qrc",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/Editor3DFileValue.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/EditorBoolValue.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/EditorBoundaryModel.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/EditorCurveInfo.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/EditorCurveModel.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/EditorDependencyFiles.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/EditorDescripttionSetup.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/EditorDoubleValue.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/EditorEnumListValue.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/EditorEnumValue.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/EditorIntValue.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/EditorNameValue.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/EditorPathValue.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/EditorSolverManager.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/EditorSolverValue.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/EditorStringValue.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/EditorTableValue.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/FunctionTreeSetup.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/Generateinstallationpackage.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/ParaBasicSetup.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/ParaExportMeshSetup.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/ParaImportGeometrySetup.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/ParaImportMeshSetup.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/ParaLinkageManager.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/ParaUserManualSetup.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/ParametersLinkage.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/PluginCustomizer/TreeInformation.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "out/build/src/PluginCustomizer/PluginCustomizer_autogen/timestamp.rule",
			"sourceGroupIndex" : 3
		}
	],
	"type" : "SHARED_LIBRARY"
}
